package com.zd.chemical.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;
import org.hibernate.validator.constraints.Length;

/**
 * 化学品报警配置对象 hxp_alarm_config
 *
 * @author liubo
 * @date 2022-06-16
 */
@ApiModel("化学品报警配置")
public class HxpAlarmConfig extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;

    /**
     * 学院id
     */
    @Excel(name = "学院id")
    @ApiModelProperty(value = "学院id")
    private Long alarmDeptId;

    /**
     * 报警方式（1.系统通知，2.声光报警，3.短信通知）
     */
    @Excel(name = "报警方式", readConverterExp = "1=.系统通知，2.声光报警，3.短信通知")
    @ApiModelProperty(value = "报警方式")
    private Integer alarmMode;
    /**
     * 时间间隔(按照分钟计算)
     */
    @Excel(name = "时间间隔(按照分钟计算)")
    @ApiModelProperty(value = "时间间隔(按照分钟计算)")
    private Integer timeInterval;
    /**
     * 报警内容
     */
    @Excel(name = "报警内容")
    @Length(message = "报警内容长度不能超过100")
    @ApiModelProperty(value = "报警内容")
    private String alarmContent;
    /**
     * 报警手机号码，最多存五个，用逗号隔开
     */
    @Excel(name = "报警手机号码，最多存五个，用逗号隔开")
    @Length(message = "报警手机号码，最多存五个，用逗号隔开长度不能超过100")
    @ApiModelProperty(value = "报警手机号码，最多存五个，用逗号隔开")
    private String alarmPhone;
    /**
     * 创建人（用于数据权限）
     */
    @Excel(name = "创建人", readConverterExp = "用=于数据权限")
    @ApiModelProperty(value = "创建人")
    private Long userId;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public Long getAlarmDeptId() {
        return alarmDeptId;
    }

    public void setAlarmDeptId(Long alarmDeptId) {
        this.alarmDeptId = alarmDeptId;
    }

    public void setAlarmMode(Integer alarmMode) {
        this.alarmMode = alarmMode;
    }

    public Integer getAlarmMode() {
        return alarmMode;
    }

    public void setTimeInterval(Integer timeInterval) {
        this.timeInterval = timeInterval;
    }

    public Integer getTimeInterval() {
        return timeInterval;
    }

    public void setAlarmContent(String alarmContent) {
        this.alarmContent = alarmContent;
    }

    public String getAlarmContent() {
        return alarmContent;
    }

    public void setAlarmPhone(String alarmPhone) {
        this.alarmPhone = alarmPhone;
    }

    public String getAlarmPhone() {
        return alarmPhone;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("alarmMode", getAlarmMode())
                .append("timeInterval", getTimeInterval())
                .append("alarmContent", getAlarmContent())
                .append("alarmPhone", getAlarmPhone())
                .append("userId", getUserId())
                .append("createTime", getCreateTime())
                .append("createBy", getCreateBy())
                .toString();
    }
}
